﻿using System.ServiceProcess;
using System.ServiceModel;

namespace net.praqma.troja.wcfservice
{
    public class TrojaWindowsService : ServiceBase
    {
        public ServiceHost serviceHost = null;

        public TrojaWindowsService()
        {
            ServiceName = "Troja";
        }

        public static void Main()
        {
            ServiceBase.Run(new TrojaWindowsService());
        }

        protected override void OnStart(string[] args)
        {
            if (serviceHost != null)
            {
                serviceHost.Close();
            }

            serviceHost = new ServiceHost(typeof(TrojaWcf));
            serviceHost.Open();
        }

        protected override void OnStop()
        {
            if (serviceHost != null)
            {
                serviceHost.Close();
                serviceHost = null;
            }
        }
    }
}
