﻿using System;
using System.Security.Principal;

namespace praqma.troja.webgui
{
    public class LogItem
    {

        private Guid id;
        private string site;
        private DateTime dateTime;
        private string user;
        private string techUser;
        private string view;
        private string action;
        private string obj;

        public LogItem(Guid id, string site, DateTime dateTime, string user, string techUser, string view, string action, string obj)
        {
            this.id = id;
            this.site = site;
            this.dateTime = dateTime;
            this.user = user;
            this.techUser = techUser;
            this.view = view;
            this.action = action;
            this.obj = obj;
        }

        public LogItem(Guid id, string site, string techUser, string view, string action, string obj)
            : this(id, site, DateTime.Now, WindowsIdentity.GetCurrent().Name, techUser, view, action, obj)
        {}

        public Guid Id { get { return id; } }

        public string Site { get { return site; } }

        public DateTime DateTime { get { return dateTime; }}

        public string User { get { return user; } }

        public string TechUser { get { return techUser; } }

        public string View { get { return view; } }

        public string Action { get { return action; } }

        public string Object { get { return obj; } }
    }
}
