﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace praqma.troja.webgui.usercontrols.menu
{
    public partial class TypeMenu : MenuUserControl
    {
        public override void SetSubMenu(string text)
        {
            clearSubMenu();

            switch (text)
            {
                case "locktype":
                    LockType.Font.Underline = true;
                    break;
                case "removetype":
                    RemoveType.Font.Underline = true;
                    break;
            }
        }

        private void clearSubMenu()
        {
            LockType.Font.Underline = false;
            RemoveType.Font.Underline = false;
        }

        protected void LockType_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/types/LockType.aspx");
        }

        protected void RemoveType_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/types/RemoveType.aspx");
        }
    }
}