﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace praqma.troja.webgui.usercontrols.menu
{
    public partial class ViewMenu : MenuUserControl
    {
        public override void SetSubMenu(string text)
        {
            clearSubMenu();

            switch (text)
            {
                case "lsquarentine":
                    LsQuarentine.Font.Underline = true;
                    break;
                case "nasince":
                    NaSince.Font.Underline = true;
                    break;
                case "purge":
                    Purge.Font.Underline = true;
                    break;
                case "recover":
                    Recover.Font.Underline = true;
                    break;
            }
        }

        private void clearSubMenu()
        {
            LsQuarentine.Font.Underline = false;
            NaSince.Font.Underline = false;
            Purge.Font.Underline = false;
            Recover.Font.Underline = false;
        }

        protected void LsQuarentine_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/views/LsQuarentine.aspx");
        }

        protected void NaSince_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/views/NaSince.aspx");
        }

        protected void Purge_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/views/Purge.aspx");
        }

        protected void Recover_Click(object sender, EventArgs e)
        {
            Response.Redirect("~/views/Recover.aspx");
        }
    }
}