﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Text;
using net.praqma.systemlog;

namespace praqma.troja.webgui.views
{
    public partial class LsQuarentine : ViewPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Master.SetMenu("views", "lsquarentine");
        }

        protected void GoButton_Click(object sender, EventArgs e)
        {
            try
            {
                StringBuilder sb = new StringBuilder();

                foreach (string view in base.LsQuarentine(ArgumentInput.Text))
                {
                    sb.Append(view);
                    sb.Append("<br />");
                }

                Master.SetStatus(sb.ToString(), true);
            }
            catch (Exception ex)
            {
                SystemLog.WriteError(WhoAmI, ex);
                Master.SetStatus(HtmlEncode(ex.Message), false);
            }
        }
    }
}
