﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using net.praqma.systemlog;

namespace praqma.troja.webgui.views
{
    public partial class NaSince : ViewPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            Master.SetMenu("views", "nasince");
        }

        protected void GoButton_Click(object sender, EventArgs e)
        {
            try
            {
                string argument = ArgumentInput.Text;

                if (!base.ValidateSince(argument))
                {
                    Master.SetStatus("Invalid input.", false);
                    return;
                }

                string stdout = SyncCommand(Configuration.TrojaMaster, Configuration.ViewQ + " -verbose -nasince " + argument, new TimeSpan(0, 1, 0), "NaSince");

                Master.SetStatus(HtmlEncode(stdout), true);
            }
            catch (Exception ex)
            {
                SystemLog.WriteError(WhoAmI, ex);
                Master.SetStatus(HtmlEncode(ex.Message), false);
            }
        }
    }
}
