﻿using System;
using System.ServiceModel;

namespace net.praqma.troja.wcfservice
{
    [ServiceContract(Namespace = "http://praqma.net/troja/wcfservice/")]
    public interface ITrojaWcf
    {
        [OperationContract]
        Guid CreateCommand(string command, string arguments, bool merge, int hour, int minute, int second, string remark);
        //Guid CreateCommand(string command, string arguments, bool merge, TimeSpan timeout, string remark);

        [OperationContract]
        string GetCommands();

        [OperationContract]
        void StartAsync(Guid id);

        [OperationContract]
        string StartSync(Guid id);

        [OperationContract]
        string GetLog(Guid id);

        [OperationContract]
        string KillCommand(Guid id);

        [OperationContract]
        string WhoAmI();

        [OperationContract]
        string ServiceUser();
    }
}
