﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using praqma.troja.webgui.usercontrols.log;
using net.praqma.systemlog;

namespace praqma.troja.webgui.log
{
    public partial class Default : TrojaPage
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            try
            {

                Master.SetMenu("log", null);

                foreach (LogItem item in GuiLog.INSTANCE.LogItems())
                {

                    LogEntry entry = LoadControl("~/usercontrols/log/LogEntry.ascx") as LogEntry;
                    entry.Item = item;
                    LogPlaceHolder.Controls.Add(entry);
                }
            }
            catch (Exception ex)
            {
                SystemLog.WriteError(WhoAmI, ex);
                Master.SetStatus(ex.Message, false);
            }
        }
    }
}
